#!/bin/bash

if [[ $EUID -ne 0 ]]; then
   echo "This script must be run as root" 1>&2
   exit 1
fi

SCRIPT=$(readlink -f "$0")
SCRIPTPATH=$(dirname "$SCRIPT")

if [ -x "/usr/bin/pip3" ]; then
    apt remove -y python3-pip
    hash -r
fi
    
python3 $SCRIPTPATH/deps/get-pip.py --no-index --find-links=$SCRIPTPATH/deps

LC_ALL=C pip3 install --upgrade --no-index --find-links=$SCRIPTPATH/deps setuptools
LC_ALL=C pip3 install --no-index --find-links=$SCRIPTPATH/deps grpcio-tools
LC_ALL=C pip3 install --no-index --find-links=$SCRIPTPATH/deps googleapis-common-protos

mkdir -p /tmp/com.3dvisionlabs.hemiupd
cd /tmp/com.3dvisionlabs.hemiupd
tar -xf $SCRIPTPATH/com.3dvisionlabs.hemiupd.tar.gz
cd /
tar -xf /tmp/com.3dvisionlabs.hemiupd/data/core.tar.gz

mkdir -p /var/lib/3dvisionlabs/hemiupd/packages
cp -r /tmp/com.3dvisionlabs.hemiupd /var/lib/3dvisionlabs/hemiupd/packages/
chmod +x /var/lib/3dvisionlabs/hemiupd/packages/com.3dvisionlabs.hemiupd/scripts/post_install/001_install_service.sh
/var/lib/3dvisionlabs/hemiupd/packages/com.3dvisionlabs.hemiupd/scripts/post_install/001_install_service.sh
